List vcards by org
Retrieve a list of vcards (virtual credit cards) issued for an organization. Use filters to limit results. Include the exportFormat query parameter to return the results as a file instead of a JSON response.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Long-lived API token sent in the requestToken header. See API token authentication.
Path parameters
Query parameters
Max number of records to return for the query. Use 0 or negative value to return all records.
Collection of field names, conditions, and values used to filter the query.
You must remove parameters= from the request before you send it, otherwise Payabli will ignore the filters.
Because of a technical limitation, you can’t make a request that includes filters from the API console on this page. The response won’t be filtered. Instead, copy the request, remove parameters= and run the request in a different client, for example:
should become:
—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20
Accepted field names:
status(eq, ne, ct, nct, sw, ew)createdAt(gt, ge, lt, le, eq, ne)cardToken(ct, nct, eq, ne)lastFour(ct, nct, eq, ne)expirationDate(ct, nct, eq, ne)payoutId(eq, ne, gt, ge, lt, le)vendorId(eq, ne, gt, ge, lt, le)miscData1(ct, nct, eq, ne)miscData2(ct, nct, eq, ne)currentUses(gt, ge, lt, le, eq, ne)amount(gt, ge, lt, le, eq, ne)balance(gt, ge, lt, le, eq, ne)paypointLegal(ne, eq, ct, nct)paypointDba(ne, eq, ct, nct)orgName(eq, ne, ct, nct, sw, ew)externalPaypointId(ct, nct, eq, ne)paypointId(eq, ne, gt, ge, lt, le)cardType(eq, ne, gt, ge, lt, le)
Accepted comparison operators - enclosed between parentheses:
- eq or empty => equal
- gt => greater than
- ge => greater or equal
- lt => less than
- le => less or equal
- ne => not equal
- ct => contains
- nct => not contains
- sw => starts with
- ew => ends with
- in => inside array separated by ”|”
- nin => not inside array separated by ”|”
The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.